<mat-accordion>
  <mat-expansion-panel [expanded]="true" hideToggle>
    <mat-expansion-panel-header>
      <mat-panel-title>
            <button mat-stroked-button color="primary" routerLink="/point/register" >
                Registrar
            </button>
        </mat-panel-title>
      <mat-panel-description>
        <p>Registros de ponto</p>
      </mat-panel-description>
    </mat-expansion-panel-header>
    <table mat-table #table matSort [dataSource]="dataSource" class="mat-elevation-z8">
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef>Nome</th>
        <td mat-cell *matCellDef="let element">{{ element.name }}</td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="date">
        <th mat-header-cell *matHeaderCellDef>Data do Registro</th>
        <td mat-cell *matCellDef="let element">{{ element.date |  date:"dd/MM/yyyy hh:mm:ss" }}</td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="recordType">
        <th mat-header-cell *matHeaderCellDef>Tipo de Registro</th>
        <td mat-cell *matCellDef="let element">{{ element.recordType | recordtypepipe  }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
    <mat-paginator #paginator 
                [length]="totalRecords" 
                [pageIndex]="pageIndex"
                [pageSize]="pageSize"
                [pageSizeOptions]="[5, 10, 20, 50, 100]"></mat-paginator>
  </mat-expansion-panel>
</mat-accordion>
